package com.wyz.demo.controller;

import com.wyz.demo.dto.OrderDTO;
import com.wyz.demo.service.OrderService;
import com.wyz.demo.vo.OrderVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpSession;
import java.util.List;


@Slf4j
@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private OrderService orderService;


    /**
     * 查询订单
     */
    @RequestMapping(value = "/getAll", produces = "application/json")
    public List<OrderVO> getAll(HttpSession sess){
        String username = (String)sess.getAttribute("username");
        if(username==null){
            log.error("{session中没有用户名：还未登录}");
            return null;
        }else{
            List<OrderVO> orders = orderService.getAll(username);
            return orders;
        }
    }


    /**
     * 提交订单
     */
    @PostMapping(value = "/commit")
    public void commit(@RequestBody OrderDTO orderDTO, HttpSession sess){
        log.info("新订单为：{}",orderDTO);
        orderService.addOrder(orderDTO,sess);
    }

}
